Cancel Project
POST
/api/continuous/projects/{project_id}/cancel
const url = 'https://example.com/api/continuous/projects/example/cancel';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/continuous/projects/example/cancelCancel continuous project.
Sets project state to CANCELLED. Does not delete any data.
Path Parameters: project_id: Project UUID
Response: { “project_id”: “abc-123”, “name”: “My Project”, “continuous”: true, “team_id”: 1, “created_at”: “2025-01-15T10:30:00” }
Errors: 400: Non-continuous project 404: Project not found 403: Access denied
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ProjectResponse
Response for project operations.
object
project_id
required
Project Id
External project ID (UUID)
string
name
required
Name
Project name
string
continuous
required
Continuous
Whether project is continuous
boolean
create_time
required
Create Time
Creation timestamp (ISO format)
string
Example
{ "continuous": true, "create_time": "2025-10-02T12:00:00", "name": "Marketing Campaign", "project_id": "abc123-def456", "workflow_id": 1, "workflow_key": "translation", "workflow_mode": "per_row"}Validation error
Unauthorized
Forbidden
Not found
Conflict
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}Internal server error